Description

Hi!

| recently made the following change in the manifest:
nginx::server { 'repo':
listen_port => '7897',

- shame => "repo",
+ sShame => "repo repo-${downcase(::location)}.rvzr.net",
docroot  => 'var/repo’

}

That lead to deleting the class from the class as as | understood because of validation problems, but puppet applied everything ok.
and because of Bug #2394 it did delete class from one of the hosts that lead to produstion issues.

Related issues:

Related to Foreman - Feature #7086: Puppet modules being skipped or failed to... New 08/14/2014
Related to Foreman - Bug #11661: Puppet importer class should return a warnin... New 09/02/2015
Related to Smart Proxy - Feature #15095: Add Puppet server environment_classe... Closed

Related to Smart Proxy - Bug #2289: smart-proxy should warn when it cannot re... Resolved 03/07/2013
Has duplicate Foreman - Bug #9052: Foreman/foreman-proxy don't report classes... Duplicate 01/20/2015
Has duplicate Foreman - Feature #11393: Class importer should present useful ... Duplicate 08/17/2015
History

#1 - 12/17/2013 08:20 PM - Dominic Cleal
- Category set to Puppet integration

- translation missing: en.field_release deleted (1)

#2 - 08/14/2014 10:41 AM - Dominic Cleal
- Related to Feature #7086: Puppet modules being skipped or failed to import should be reported or noticed by foreman. added

#3 - 01/21/2015 03:36 AM - Dominic Cleal

- Has duplicate Bug #9052: Foreman/foreman-proxy don't report classes skipped due to syntax error during import from Puppet. added

#4 - 08/18/2015 03:03 AM - Dominic Cleal

- Has duplicate Feature #11393: Class importer should present useful errors added

#5 - 09/02/2015 08:30 AM - Dominic Cleal

- Related to Bug #11661: Puppet importer class should return a warning when a class is defined twice added

#6 - 05/19/2016 09:24 AM - Dominic Cleal
- Related to Feature #15095: Add Puppet server environment_classes API support added
https://projects.theforeman.org/issues/2394

#7 - 05/19/2016 09:24 AM - Dominic Cleal

- Related to Bug #2289: smart-proxy should warn when it cannot read some puppet module file or directory added

#8 - 09/27/2016 05:47 AM - Dominic Cleal

#15095 provides a smart proxy API with the error information, however #7086 should probably be implemented first to make use of it.

Implementing this may need some memorising of which class was imported from where, so when a syntax error occurs it can skip classes originally
imported from the file with the error.
